Bug 18254 - Remove C4::Items::GetItemsByBiblioitemnumber call from additem.pl
Summary: Remove C4::Items::GetItemsByBiblioitemnumber call from additem.pl
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 18253
  Show dependency treegraph
 
Reported: 2017-03-13 15:20 UTC by Jonathan Druart
Modified: 2017-06-20 08:31 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18254: Remove call to GetItemsByBiblioitemnumber call from additem.pl (4.09 KB, patch)
2017-03-13 15:29 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18254: Remove call to GetItemsByBiblioitemnumber call from additem.pl (4.15 KB, patch)
2017-04-17 09:56 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 18254: Remove call to GetItemsByBiblioitemnumber call from additem.pl (4.20 KB, patch)
2017-06-15 14:31 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-03-13 15:20:34 UTC

    
Comment 1 Jonathan Druart 2017-03-13 15:29:06 UTC
Created attachment 61041 [details] [review]
Bug 18254: Remove call to GetItemsByBiblioitemnumber call from additem.pl

The code from additem to delete all the items of a bibliographic record
is very ackward.
This patch simplifies the algorithm and make the code more readable.

Test plan:
Remove all the items of a bibliographic records
If at least 1 item is checked out you should get an error.

No change with the current behavior is expected.
Comment 2 Alex Buckley 2017-04-17 09:56:42 UTC
Created attachment 62207 [details] [review]
Bug 18254: Remove call to GetItemsByBiblioitemnumber call from additem.pl

The code from additem to delete all the items of a bibliographic record
is very ackward.
This patch simplifies the algorithm and make the code more readable.

Test plan:
Remove all the items of a bibliographic records
If at least 1 item is checked out you should get an error.

No change with the current behavior is expected.

Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>
Comment 3 Kyle M Hall 2017-06-15 14:31:53 UTC
Created attachment 64329 [details] [review]
Bug 18254: Remove call to GetItemsByBiblioitemnumber call from additem.pl

The code from additem to delete all the items of a bibliographic record
is very ackward.
This patch simplifies the algorithm and make the code more readable.

Test plan:
Remove all the items of a bibliographic records
If at least 1 item is checked out you should get an error.

No change with the current behavior is expected.

Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Jonathan Druart 2017-06-15 19:08:44 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 5 Fridolin SOMERS 2017-06-20 08:31:33 UTC
Enhancement not pushed to 17.05.x